Skip to main content
GET
/
v1
/
metrics
List metrics
curl --request GET \
  --url https://api.passu.ai/v1/metrics \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metric_type": "LEVERAGE_TARGET",
      "updated_at": "2023-11-07T05:31:56Z",
      "value": 123,
      "attributes": {},
      "quotes": [
        {
          "quote_type": "TEXT",
          "text": "<string>",
          "author": "<string>",
          "title": "<string>",
          "table_name": "<string>",
          "row_names": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string | null

Opaque cursor for pagination.

limit
integer
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200
event_id
string<uuid> | null

Filter metrics by event id.

company_id
string<uuid> | null

Filter metrics by company id.

sector_id
string<uuid> | null

Filter metrics by sector id.

metric_type
enum<string> | null

Filter metrics by type. Discriminator for the metric single-table hierarchy.

Available options:
LEVERAGE_TARGET,
CURRENT_LEVERAGE,
CAPITAL_ALLOCATION_PRIORITY,
LIQUIDITY

Response

Successful Response

data
Metric · object[]
required
has_more
boolean
required
next_cursor
string | null